// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class AmericanExercise extends Concept {
   private String id;
   private AdjustableOrRelativeDate expirationDate;
   private AdjustableOrRelativeDates relevantUnderlyingDate;
   private BusinessCenterTime earliestExerciseTime;
   private BusinessCenterTime expirationTime;
   private BusinessCenterTime latestExerciseTime;
   private MultipleExercise multipleExercise;
   private ExerciseFeeSchedule exerciseFeeSchedule;
   private AdjustableOrRelativeDate commencementDate;
   public String getId() {
      return this.id;
   }
   public AdjustableOrRelativeDate getExpirationDate() {
      return this.expirationDate;
   }
   public AdjustableOrRelativeDates getRelevantUnderlyingDate() {
      return this.relevantUnderlyingDate;
   }
   public BusinessCenterTime getEarliestExerciseTime() {
      return this.earliestExerciseTime;
   }
   public BusinessCenterTime getExpirationTime() {
      return this.expirationTime;
   }
   public BusinessCenterTime getLatestExerciseTime() {
      return this.latestExerciseTime;
   }
   public MultipleExercise getMultipleExercise() {
      return this.multipleExercise;
   }
   public ExerciseFeeSchedule getExerciseFeeSchedule() {
      return this.exerciseFeeSchedule;
   }
   public AdjustableOrRelativeDate getCommencementDate() {
      return this.commencementDate;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setExpirationDate(AdjustableOrRelativeDate expirationDate) {
      this.expirationDate = expirationDate;
   }
   public void setRelevantUnderlyingDate(AdjustableOrRelativeDates relevantUnderlyingDate) {
      this.relevantUnderlyingDate = relevantUnderlyingDate;
   }
   public void setEarliestExerciseTime(BusinessCenterTime earliestExerciseTime) {
      this.earliestExerciseTime = earliestExerciseTime;
   }
   public void setExpirationTime(BusinessCenterTime expirationTime) {
      this.expirationTime = expirationTime;
   }
   public void setLatestExerciseTime(BusinessCenterTime latestExerciseTime) {
      this.latestExerciseTime = latestExerciseTime;
   }
   public void setMultipleExercise(MultipleExercise multipleExercise) {
      this.multipleExercise = multipleExercise;
   }
   public void setExerciseFeeSchedule(ExerciseFeeSchedule exerciseFeeSchedule) {
      this.exerciseFeeSchedule = exerciseFeeSchedule;
   }
   public void setCommencementDate(AdjustableOrRelativeDate commencementDate) {
      this.commencementDate = commencementDate;
   }
}
