// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class CalculationPeriod extends Concept {
   private String id;
   private double notionalAmount;
   private double forecastRate;
   private java.util.Date unadjustedStartDate;
   private java.util.Date unadjustedEndDate;
   private java.util.Date adjustedStartDate;
   private java.util.Date adjustedEndDate;
   private FxLinkedNotionalAmount fxLinkedNotionalAmount;
   private FloatingRateDefinition floatingRateDefinition;
   private double dayCountYearFraction;
   private Money forecastAmount;
   private int calculationPeriodNumberOfDays;
   private double fixedRate;
   public String getId() {
      return this.id;
   }
   public double getNotionalAmount() {
      return this.notionalAmount;
   }
   public double getForecastRate() {
      return this.forecastRate;
   }
   public java.util.Date getUnadjustedStartDate() {
      return this.unadjustedStartDate;
   }
   public java.util.Date getUnadjustedEndDate() {
      return this.unadjustedEndDate;
   }
   public java.util.Date getAdjustedStartDate() {
      return this.adjustedStartDate;
   }
   public java.util.Date getAdjustedEndDate() {
      return this.adjustedEndDate;
   }
   public FxLinkedNotionalAmount getFxLinkedNotionalAmount() {
      return this.fxLinkedNotionalAmount;
   }
   public FloatingRateDefinition getFloatingRateDefinition() {
      return this.floatingRateDefinition;
   }
   public double getDayCountYearFraction() {
      return this.dayCountYearFraction;
   }
   public Money getForecastAmount() {
      return this.forecastAmount;
   }
   public int getCalculationPeriodNumberOfDays() {
      return this.calculationPeriodNumberOfDays;
   }
   public double getFixedRate() {
      return this.fixedRate;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setNotionalAmount(double notionalAmount) {
      this.notionalAmount = notionalAmount;
   }
   public void setForecastRate(double forecastRate) {
      this.forecastRate = forecastRate;
   }
   public void setUnadjustedStartDate(java.util.Date unadjustedStartDate) {
      this.unadjustedStartDate = unadjustedStartDate;
   }
   public void setUnadjustedEndDate(java.util.Date unadjustedEndDate) {
      this.unadjustedEndDate = unadjustedEndDate;
   }
   public void setAdjustedStartDate(java.util.Date adjustedStartDate) {
      this.adjustedStartDate = adjustedStartDate;
   }
   public void setAdjustedEndDate(java.util.Date adjustedEndDate) {
      this.adjustedEndDate = adjustedEndDate;
   }
   public void setFxLinkedNotionalAmount(FxLinkedNotionalAmount fxLinkedNotionalAmount) {
      this.fxLinkedNotionalAmount = fxLinkedNotionalAmount;
   }
   public void setFloatingRateDefinition(FloatingRateDefinition floatingRateDefinition) {
      this.floatingRateDefinition = floatingRateDefinition;
   }
   public void setDayCountYearFraction(double dayCountYearFraction) {
      this.dayCountYearFraction = dayCountYearFraction;
   }
   public void setForecastAmount(Money forecastAmount) {
      this.forecastAmount = forecastAmount;
   }
   public void setCalculationPeriodNumberOfDays(int calculationPeriodNumberOfDays) {
      this.calculationPeriodNumberOfDays = calculationPeriodNumberOfDays;
   }
   public void setFixedRate(double fixedRate) {
      this.fixedRate = fixedRate;
   }
}
