// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class CashSettlementTermsBuilder extends Concept {
   private String id;
   private boolean accruedInterest;
   private String settlementCurrency;
   private int cashSettlementBusinessDays;
   private QuotationRateTypeEnum quotationMethod;
   private String dealer;
   private boolean fixedSettlement;
   private ValuationMethodEnum valuationMethod;
   private double recoveryFactor;
   private String settlementCurrencyScheme;
   public String getId() {
      return this.id;
   }
   public boolean getAccruedInterest() {
      return this.accruedInterest;
   }
   public String getSettlementCurrency() {
      return this.settlementCurrency;
   }
   public int getCashSettlementBusinessDays() {
      return this.cashSettlementBusinessDays;
   }
   public QuotationRateTypeEnum getQuotationMethod() {
      return this.quotationMethod;
   }
   public String getDealer() {
      return this.dealer;
   }
   public boolean getFixedSettlement() {
      return this.fixedSettlement;
   }
   public ValuationMethodEnum getValuationMethod() {
      return this.valuationMethod;
   }
   public double getRecoveryFactor() {
      return this.recoveryFactor;
   }
   public String getSettlementCurrencyScheme() {
      return this.settlementCurrencyScheme;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setAccruedInterest(boolean accruedInterest) {
      this.accruedInterest = accruedInterest;
   }
   public void setSettlementCurrency(String settlementCurrency) {
      this.settlementCurrency = settlementCurrency;
   }
   public void setCashSettlementBusinessDays(int cashSettlementBusinessDays) {
      this.cashSettlementBusinessDays = cashSettlementBusinessDays;
   }
   public void setQuotationMethod(QuotationRateTypeEnum quotationMethod) {
      this.quotationMethod = quotationMethod;
   }
   public void setDealer(String dealer) {
      this.dealer = dealer;
   }
   public void setFixedSettlement(boolean fixedSettlement) {
      this.fixedSettlement = fixedSettlement;
   }
   public void setValuationMethod(ValuationMethodEnum valuationMethod) {
      this.valuationMethod = valuationMethod;
   }
   public void setRecoveryFactor(double recoveryFactor) {
      this.recoveryFactor = recoveryFactor;
   }
   public void setSettlementCurrencyScheme(String settlementCurrencyScheme) {
      this.settlementCurrencyScheme = settlementCurrencyScheme;
   }
}
