// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class EuropeanExercise extends Concept {
   private String id;
   private AdjustableOrRelativeDate expirationDate;
   private AdjustableOrRelativeDates relevantUnderlyingDate;
   private BusinessCenterTime earliestExerciseTime;
   private BusinessCenterTime expirationTime;
   private PartialExercise partialExercise;
   private ExerciseFee exerciseFee;
   public String getId() {
      return this.id;
   }
   public AdjustableOrRelativeDate getExpirationDate() {
      return this.expirationDate;
   }
   public AdjustableOrRelativeDates getRelevantUnderlyingDate() {
      return this.relevantUnderlyingDate;
   }
   public BusinessCenterTime getEarliestExerciseTime() {
      return this.earliestExerciseTime;
   }
   public BusinessCenterTime getExpirationTime() {
      return this.expirationTime;
   }
   public PartialExercise getPartialExercise() {
      return this.partialExercise;
   }
   public ExerciseFee getExerciseFee() {
      return this.exerciseFee;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setExpirationDate(AdjustableOrRelativeDate expirationDate) {
      this.expirationDate = expirationDate;
   }
   public void setRelevantUnderlyingDate(AdjustableOrRelativeDates relevantUnderlyingDate) {
      this.relevantUnderlyingDate = relevantUnderlyingDate;
   }
   public void setEarliestExerciseTime(BusinessCenterTime earliestExerciseTime) {
      this.earliestExerciseTime = earliestExerciseTime;
   }
   public void setExpirationTime(BusinessCenterTime expirationTime) {
      this.expirationTime = expirationTime;
   }
   public void setPartialExercise(PartialExercise partialExercise) {
      this.partialExercise = partialExercise;
   }
   public void setExerciseFee(ExerciseFee exerciseFee) {
      this.exerciseFee = exerciseFee;
   }
}
