// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class OptionalEarlyTermination extends Concept {
   private OptionCashSettlement cashSettlement;
   private boolean followUpConfirmation;
   private BuyerSeller singlePartyOption;
   private AmericanExercise americanExercise;
   private BermudaExercise bermudaExercise;
   private EuropeanExercise europeanExercise;
   private ExerciseNotice[] exerciseNotice;
   private OptionalEarlyTerminationAdjustedDates optionalEarlyTerminationAdjustedDates;
   private CalculationAgent calculationAgent;
   public OptionCashSettlement getCashSettlement() {
      return this.cashSettlement;
   }
   public boolean getFollowUpConfirmation() {
      return this.followUpConfirmation;
   }
   public BuyerSeller getSinglePartyOption() {
      return this.singlePartyOption;
   }
   public AmericanExercise getAmericanExercise() {
      return this.americanExercise;
   }
   public BermudaExercise getBermudaExercise() {
      return this.bermudaExercise;
   }
   public EuropeanExercise getEuropeanExercise() {
      return this.europeanExercise;
   }
   public ExerciseNotice[] getExerciseNotice() {
      return this.exerciseNotice;
   }
   public OptionalEarlyTerminationAdjustedDates getOptionalEarlyTerminationAdjustedDates() {
      return this.optionalEarlyTerminationAdjustedDates;
   }
   public CalculationAgent getCalculationAgent() {
      return this.calculationAgent;
   }
   public void setCashSettlement(OptionCashSettlement cashSettlement) {
      this.cashSettlement = cashSettlement;
   }
   public void setFollowUpConfirmation(boolean followUpConfirmation) {
      this.followUpConfirmation = followUpConfirmation;
   }
   public void setSinglePartyOption(BuyerSeller singlePartyOption) {
      this.singlePartyOption = singlePartyOption;
   }
   public void setAmericanExercise(AmericanExercise americanExercise) {
      this.americanExercise = americanExercise;
   }
   public void setBermudaExercise(BermudaExercise bermudaExercise) {
      this.bermudaExercise = bermudaExercise;
   }
   public void setEuropeanExercise(EuropeanExercise europeanExercise) {
      this.europeanExercise = europeanExercise;
   }
   public void setExerciseNotice(ExerciseNotice[] exerciseNotice) {
      this.exerciseNotice = exerciseNotice;
   }
   public void setOptionalEarlyTerminationAdjustedDates(OptionalEarlyTerminationAdjustedDates optionalEarlyTerminationAdjustedDates) {
      this.optionalEarlyTerminationAdjustedDates = optionalEarlyTerminationAdjustedDates;
   }
   public void setCalculationAgent(CalculationAgent calculationAgent) {
      this.calculationAgent = calculationAgent;
   }
}
