// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class PartyContractIdentifier extends Concept {
   private LinkId[] linkId;
   private ContractIdentifier[] allocationTradeId;
   private ContractIdentifierExtended[] resultingTradeId;
   private ContractIdentifier blockTradeId;
   private ContractIdentifier[] originatingTradeId;
   private String accountReference;
   private String partyReference;
   private IdentifierValue identifierValue;
   private String issuer;
   private String issuerScheme;
   private int version;
   public LinkId[] getLinkId() {
      return this.linkId;
   }
   public ContractIdentifier[] getAllocationTradeId() {
      return this.allocationTradeId;
   }
   public ContractIdentifierExtended[] getResultingTradeId() {
      return this.resultingTradeId;
   }
   public ContractIdentifier getBlockTradeId() {
      return this.blockTradeId;
   }
   public ContractIdentifier[] getOriginatingTradeId() {
      return this.originatingTradeId;
   }
   public String getAccountReference() {
      return this.accountReference;
   }
   public String getPartyReference() {
      return this.partyReference;
   }
   public IdentifierValue getIdentifierValue() {
      return this.identifierValue;
   }
   public String getIssuer() {
      return this.issuer;
   }
   public String getIssuerScheme() {
      return this.issuerScheme;
   }
   public int getVersion() {
      return this.version;
   }
   public void setLinkId(LinkId[] linkId) {
      this.linkId = linkId;
   }
   public void setAllocationTradeId(ContractIdentifier[] allocationTradeId) {
      this.allocationTradeId = allocationTradeId;
   }
   public void setResultingTradeId(ContractIdentifierExtended[] resultingTradeId) {
      this.resultingTradeId = resultingTradeId;
   }
   public void setBlockTradeId(ContractIdentifier blockTradeId) {
      this.blockTradeId = blockTradeId;
   }
   public void setOriginatingTradeId(ContractIdentifier[] originatingTradeId) {
      this.originatingTradeId = originatingTradeId;
   }
   public void setAccountReference(String accountReference) {
      this.accountReference = accountReference;
   }
   public void setPartyReference(String partyReference) {
      this.partyReference = partyReference;
   }
   public void setIdentifierValue(IdentifierValue identifierValue) {
      this.identifierValue = identifierValue;
   }
   public void setIssuer(String issuer) {
      this.issuer = issuer;
   }
   public void setIssuerScheme(String issuerScheme) {
      this.issuerScheme = issuerScheme;
   }
   public void setVersion(int version) {
      this.version = version;
   }
}
