// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class PaymentDates extends Concept {
   private String id;
   private Frequency paymentFrequency;
   private Offset paymentDaysOffset;
   private java.util.Date lastRegularPaymentDate;
   private String resetDatesReference;
   private String valuationDatesReference;
   private boolean paymentDelay;
   private PayRelativeToEnum payRelativeTo;
   private java.util.Date firstPaymentDate;
   private String calculationPeriodDatesReference;
   private BusinessDayAdjustments paymentDatesAdjustments;
   public String getId() {
      return this.id;
   }
   public Frequency getPaymentFrequency() {
      return this.paymentFrequency;
   }
   public Offset getPaymentDaysOffset() {
      return this.paymentDaysOffset;
   }
   public java.util.Date getLastRegularPaymentDate() {
      return this.lastRegularPaymentDate;
   }
   public String getResetDatesReference() {
      return this.resetDatesReference;
   }
   public String getValuationDatesReference() {
      return this.valuationDatesReference;
   }
   public boolean getPaymentDelay() {
      return this.paymentDelay;
   }
   public PayRelativeToEnum getPayRelativeTo() {
      return this.payRelativeTo;
   }
   public java.util.Date getFirstPaymentDate() {
      return this.firstPaymentDate;
   }
   public String getCalculationPeriodDatesReference() {
      return this.calculationPeriodDatesReference;
   }
   public BusinessDayAdjustments getPaymentDatesAdjustments() {
      return this.paymentDatesAdjustments;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setPaymentFrequency(Frequency paymentFrequency) {
      this.paymentFrequency = paymentFrequency;
   }
   public void setPaymentDaysOffset(Offset paymentDaysOffset) {
      this.paymentDaysOffset = paymentDaysOffset;
   }
   public void setLastRegularPaymentDate(java.util.Date lastRegularPaymentDate) {
      this.lastRegularPaymentDate = lastRegularPaymentDate;
   }
   public void setResetDatesReference(String resetDatesReference) {
      this.resetDatesReference = resetDatesReference;
   }
   public void setValuationDatesReference(String valuationDatesReference) {
      this.valuationDatesReference = valuationDatesReference;
   }
   public void setPaymentDelay(boolean paymentDelay) {
      this.paymentDelay = paymentDelay;
   }
   public void setPayRelativeTo(PayRelativeToEnum payRelativeTo) {
      this.payRelativeTo = payRelativeTo;
   }
   public void setFirstPaymentDate(java.util.Date firstPaymentDate) {
      this.firstPaymentDate = firstPaymentDate;
   }
   public void setCalculationPeriodDatesReference(String calculationPeriodDatesReference) {
      this.calculationPeriodDatesReference = calculationPeriodDatesReference;
   }
   public void setPaymentDatesAdjustments(BusinessDayAdjustments paymentDatesAdjustments) {
      this.paymentDatesAdjustments = paymentDatesAdjustments;
   }
}
