// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class CreditEvents extends Concept {
   private String id;
   private CreditEventNotice creditEventNotice;
   private Restructuring restructuring;
   private boolean failureToPayPrincipal;
   private boolean failureToPayInterest;
   private boolean distressedRatingsDowngrade;
   private boolean maturityExtension;
   private boolean writedown;
   private boolean impliedWritedown;
   private boolean bankruptcy;
   private boolean obligationDefault;
   private boolean obligationAcceleration;
   private boolean repudiationMoratorium;
   private boolean governmentalIntervention;
   private FailureToPay failureToPay;
   private Money defaultRequirement;
   public String getId() {
      return this.id;
   }
   public CreditEventNotice getCreditEventNotice() {
      return this.creditEventNotice;
   }
   public Restructuring getRestructuring() {
      return this.restructuring;
   }
   public boolean getFailureToPayPrincipal() {
      return this.failureToPayPrincipal;
   }
   public boolean getFailureToPayInterest() {
      return this.failureToPayInterest;
   }
   public boolean getDistressedRatingsDowngrade() {
      return this.distressedRatingsDowngrade;
   }
   public boolean getMaturityExtension() {
      return this.maturityExtension;
   }
   public boolean getWritedown() {
      return this.writedown;
   }
   public boolean getImpliedWritedown() {
      return this.impliedWritedown;
   }
   public boolean getBankruptcy() {
      return this.bankruptcy;
   }
   public boolean getObligationDefault() {
      return this.obligationDefault;
   }
   public boolean getObligationAcceleration() {
      return this.obligationAcceleration;
   }
   public boolean getRepudiationMoratorium() {
      return this.repudiationMoratorium;
   }
   public boolean getGovernmentalIntervention() {
      return this.governmentalIntervention;
   }
   public FailureToPay getFailureToPay() {
      return this.failureToPay;
   }
   public Money getDefaultRequirement() {
      return this.defaultRequirement;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setCreditEventNotice(CreditEventNotice creditEventNotice) {
      this.creditEventNotice = creditEventNotice;
   }
   public void setRestructuring(Restructuring restructuring) {
      this.restructuring = restructuring;
   }
   public void setFailureToPayPrincipal(boolean failureToPayPrincipal) {
      this.failureToPayPrincipal = failureToPayPrincipal;
   }
   public void setFailureToPayInterest(boolean failureToPayInterest) {
      this.failureToPayInterest = failureToPayInterest;
   }
   public void setDistressedRatingsDowngrade(boolean distressedRatingsDowngrade) {
      this.distressedRatingsDowngrade = distressedRatingsDowngrade;
   }
   public void setMaturityExtension(boolean maturityExtension) {
      this.maturityExtension = maturityExtension;
   }
   public void setWritedown(boolean writedown) {
      this.writedown = writedown;
   }
   public void setImpliedWritedown(boolean impliedWritedown) {
      this.impliedWritedown = impliedWritedown;
   }
   public void setBankruptcy(boolean bankruptcy) {
      this.bankruptcy = bankruptcy;
   }
   public void setObligationDefault(boolean obligationDefault) {
      this.obligationDefault = obligationDefault;
   }
   public void setObligationAcceleration(boolean obligationAcceleration) {
      this.obligationAcceleration = obligationAcceleration;
   }
   public void setRepudiationMoratorium(boolean repudiationMoratorium) {
      this.repudiationMoratorium = repudiationMoratorium;
   }
   public void setGovernmentalIntervention(boolean governmentalIntervention) {
      this.governmentalIntervention = governmentalIntervention;
   }
   public void setFailureToPay(FailureToPay failureToPay) {
      this.failureToPay = failureToPay;
   }
   public void setDefaultRequirement(Money defaultRequirement) {
      this.defaultRequirement = defaultRequirement;
   }
}
