// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class Mortgage extends Concept {
   private Period paymentFrequency;
   private String dayCountFractionScheme;
   private String sectorScheme;
   private String tranche;
   private Party insurer;
   private String insurerReference;
   private double originalPrincipalAmount;
   private MortgageSectorEnum sector;
   private DayCountFractionEnum dayCountFraction;
   private AssetPool pool;
   private String couponTypeScheme;
   private String seniorityScheme;
   private String issuerName;
   private String issuerReference;
   private CreditSeniorityEnum seniority;
   private CouponTypeEnum couponType;
   private double couponRate;
   private java.util.Date maturity;
   private java.util.Date issueDate;
   private String id;
   private String currency;
   private String clearanceSystemScheme;
   private String productIdentifierScheme;
   private ProductIdentifier[] productIdentifier;
   private ProductTaxonomy[] productTaxonomy;
   private String description;
   private String clearanceSystem;
   private String currencyScheme;
   public Period getPaymentFrequency() {
      return this.paymentFrequency;
   }
   public String getDayCountFractionScheme() {
      return this.dayCountFractionScheme;
   }
   public String getSectorScheme() {
      return this.sectorScheme;
   }
   public String getTranche() {
      return this.tranche;
   }
   public Party getInsurer() {
      return this.insurer;
   }
   public String getInsurerReference() {
      return this.insurerReference;
   }
   public double getOriginalPrincipalAmount() {
      return this.originalPrincipalAmount;
   }
   public MortgageSectorEnum getSector() {
      return this.sector;
   }
   public DayCountFractionEnum getDayCountFraction() {
      return this.dayCountFraction;
   }
   public AssetPool getPool() {
      return this.pool;
   }
   public String getCouponTypeScheme() {
      return this.couponTypeScheme;
   }
   public String getSeniorityScheme() {
      return this.seniorityScheme;
   }
   public String getIssuerName() {
      return this.issuerName;
   }
   public String getIssuerReference() {
      return this.issuerReference;
   }
   public CreditSeniorityEnum getSeniority() {
      return this.seniority;
   }
   public CouponTypeEnum getCouponType() {
      return this.couponType;
   }
   public double getCouponRate() {
      return this.couponRate;
   }
   public java.util.Date getMaturity() {
      return this.maturity;
   }
   public java.util.Date getIssueDate() {
      return this.issueDate;
   }
   public String getId() {
      return this.id;
   }
   public String getCurrency() {
      return this.currency;
   }
   public String getClearanceSystemScheme() {
      return this.clearanceSystemScheme;
   }
   public String getProductIdentifierScheme() {
      return this.productIdentifierScheme;
   }
   public ProductIdentifier[] getProductIdentifier() {
      return this.productIdentifier;
   }
   public ProductTaxonomy[] getProductTaxonomy() {
      return this.productTaxonomy;
   }
   public String getDescription() {
      return this.description;
   }
   public String getClearanceSystem() {
      return this.clearanceSystem;
   }
   public String getCurrencyScheme() {
      return this.currencyScheme;
   }
   public void setPaymentFrequency(Period paymentFrequency) {
      this.paymentFrequency = paymentFrequency;
   }
   public void setDayCountFractionScheme(String dayCountFractionScheme) {
      this.dayCountFractionScheme = dayCountFractionScheme;
   }
   public void setSectorScheme(String sectorScheme) {
      this.sectorScheme = sectorScheme;
   }
   public void setTranche(String tranche) {
      this.tranche = tranche;
   }
   public void setInsurer(Party insurer) {
      this.insurer = insurer;
   }
   public void setInsurerReference(String insurerReference) {
      this.insurerReference = insurerReference;
   }
   public void setOriginalPrincipalAmount(double originalPrincipalAmount) {
      this.originalPrincipalAmount = originalPrincipalAmount;
   }
   public void setSector(MortgageSectorEnum sector) {
      this.sector = sector;
   }
   public void setDayCountFraction(DayCountFractionEnum dayCountFraction) {
      this.dayCountFraction = dayCountFraction;
   }
   public void setPool(AssetPool pool) {
      this.pool = pool;
   }
   public void setCouponTypeScheme(String couponTypeScheme) {
      this.couponTypeScheme = couponTypeScheme;
   }
   public void setSeniorityScheme(String seniorityScheme) {
      this.seniorityScheme = seniorityScheme;
   }
   public void setIssuerName(String issuerName) {
      this.issuerName = issuerName;
   }
   public void setIssuerReference(String issuerReference) {
      this.issuerReference = issuerReference;
   }
   public void setSeniority(CreditSeniorityEnum seniority) {
      this.seniority = seniority;
   }
   public void setCouponType(CouponTypeEnum couponType) {
      this.couponType = couponType;
   }
   public void setCouponRate(double couponRate) {
      this.couponRate = couponRate;
   }
   public void setMaturity(java.util.Date maturity) {
      this.maturity = maturity;
   }
   public void setIssueDate(java.util.Date issueDate) {
      this.issueDate = issueDate;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setCurrency(String currency) {
      this.currency = currency;
   }
   public void setClearanceSystemScheme(String clearanceSystemScheme) {
      this.clearanceSystemScheme = clearanceSystemScheme;
   }
   public void setProductIdentifierScheme(String productIdentifierScheme) {
      this.productIdentifierScheme = productIdentifierScheme;
   }
   public void setProductIdentifier(ProductIdentifier[] productIdentifier) {
      this.productIdentifier = productIdentifier;
   }
   public void setProductTaxonomy(ProductTaxonomy[] productTaxonomy) {
      this.productTaxonomy = productTaxonomy;
   }
   public void setDescription(String description) {
      this.description = description;
   }
   public void setClearanceSystem(String clearanceSystem) {
      this.clearanceSystem = clearanceSystem;
   }
   public void setCurrencyScheme(String currencyScheme) {
      this.currencyScheme = currencyScheme;
   }
}
