// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class Obligations extends Concept {
   private ObligationCategoryEnum category;
   private String excluded;
   private boolean fullFaithAndCreditObLiability;
   private boolean generalFundObligationLiability;
   private boolean listed;
   private boolean notContingent;
   private NotDomesticCurrency notDomesticCurrency;
   private boolean notDomesticIssuance;
   private boolean notDomesticLaw;
   private boolean notSovereignLender;
   private boolean notSubordinated;
   private String othReferenceEntityObligations;
   private boolean revenueObligationLiability;
   private SpecifiedCurrency specifiedCurrency;
   private String designatedPriority;
   private boolean cashSettlementOnly;
   private boolean deliveryOfCommitments;
   private boolean continuity;
   private String designatedPriorityScheme;
   public ObligationCategoryEnum getCategory() {
      return this.category;
   }
   public String getExcluded() {
      return this.excluded;
   }
   public boolean getFullFaithAndCreditObLiability() {
      return this.fullFaithAndCreditObLiability;
   }
   public boolean getGeneralFundObligationLiability() {
      return this.generalFundObligationLiability;
   }
   public boolean getListed() {
      return this.listed;
   }
   public boolean getNotContingent() {
      return this.notContingent;
   }
   public NotDomesticCurrency getNotDomesticCurrency() {
      return this.notDomesticCurrency;
   }
   public boolean getNotDomesticIssuance() {
      return this.notDomesticIssuance;
   }
   public boolean getNotDomesticLaw() {
      return this.notDomesticLaw;
   }
   public boolean getNotSovereignLender() {
      return this.notSovereignLender;
   }
   public boolean getNotSubordinated() {
      return this.notSubordinated;
   }
   public String getOthReferenceEntityObligations() {
      return this.othReferenceEntityObligations;
   }
   public boolean getRevenueObligationLiability() {
      return this.revenueObligationLiability;
   }
   public SpecifiedCurrency getSpecifiedCurrency() {
      return this.specifiedCurrency;
   }
   public String getDesignatedPriority() {
      return this.designatedPriority;
   }
   public boolean getCashSettlementOnly() {
      return this.cashSettlementOnly;
   }
   public boolean getDeliveryOfCommitments() {
      return this.deliveryOfCommitments;
   }
   public boolean getContinuity() {
      return this.continuity;
   }
   public String getDesignatedPriorityScheme() {
      return this.designatedPriorityScheme;
   }
   public void setCategory(ObligationCategoryEnum category) {
      this.category = category;
   }
   public void setExcluded(String excluded) {
      this.excluded = excluded;
   }
   public void setFullFaithAndCreditObLiability(boolean fullFaithAndCreditObLiability) {
      this.fullFaithAndCreditObLiability = fullFaithAndCreditObLiability;
   }
   public void setGeneralFundObligationLiability(boolean generalFundObligationLiability) {
      this.generalFundObligationLiability = generalFundObligationLiability;
   }
   public void setListed(boolean listed) {
      this.listed = listed;
   }
   public void setNotContingent(boolean notContingent) {
      this.notContingent = notContingent;
   }
   public void setNotDomesticCurrency(NotDomesticCurrency notDomesticCurrency) {
      this.notDomesticCurrency = notDomesticCurrency;
   }
   public void setNotDomesticIssuance(boolean notDomesticIssuance) {
      this.notDomesticIssuance = notDomesticIssuance;
   }
   public void setNotDomesticLaw(boolean notDomesticLaw) {
      this.notDomesticLaw = notDomesticLaw;
   }
   public void setNotSovereignLender(boolean notSovereignLender) {
      this.notSovereignLender = notSovereignLender;
   }
   public void setNotSubordinated(boolean notSubordinated) {
      this.notSubordinated = notSubordinated;
   }
   public void setOthReferenceEntityObligations(String othReferenceEntityObligations) {
      this.othReferenceEntityObligations = othReferenceEntityObligations;
   }
   public void setRevenueObligationLiability(boolean revenueObligationLiability) {
      this.revenueObligationLiability = revenueObligationLiability;
   }
   public void setSpecifiedCurrency(SpecifiedCurrency specifiedCurrency) {
      this.specifiedCurrency = specifiedCurrency;
   }
   public void setDesignatedPriority(String designatedPriority) {
      this.designatedPriority = designatedPriority;
   }
   public void setCashSettlementOnly(boolean cashSettlementOnly) {
      this.cashSettlementOnly = cashSettlementOnly;
   }
   public void setDeliveryOfCommitments(boolean deliveryOfCommitments) {
      this.deliveryOfCommitments = deliveryOfCommitments;
   }
   public void setContinuity(boolean continuity) {
      this.continuity = continuity;
   }
   public void setDesignatedPriorityScheme(String designatedPriorityScheme) {
      this.designatedPriorityScheme = designatedPriorityScheme;
   }
}
