// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class Payment extends Concept {
   private PaymentTypeEnum paymentType;
   private AdjustableOrAdjustedOrRelativeDate paymentDate;
   private GrossCashflow[] grossCashflow;
   private PaymentStatusEnum paymentStatus;
   private String settlementReference;
   private String rosettaKey;
   private Money paymentAmount;
   private String id;
   private double discountFactor;
   private Money presentValueAmount;
   private PremiumExpression premiumExpression;
   private PaymentDiscounting paymentDiscounting;
   private PayerReceiver payerReceiver;
   public PaymentTypeEnum getPaymentType() {
      return this.paymentType;
   }
   public AdjustableOrAdjustedOrRelativeDate getPaymentDate() {
      return this.paymentDate;
   }
   public GrossCashflow[] getGrossCashflow() {
      return this.grossCashflow;
   }
   public PaymentStatusEnum getPaymentStatus() {
      return this.paymentStatus;
   }
   public String getSettlementReference() {
      return this.settlementReference;
   }
   public String getRosettaKey() {
      return this.rosettaKey;
   }
   public Money getPaymentAmount() {
      return this.paymentAmount;
   }
   public String getId() {
      return this.id;
   }
   public double getDiscountFactor() {
      return this.discountFactor;
   }
   public Money getPresentValueAmount() {
      return this.presentValueAmount;
   }
   public PremiumExpression getPremiumExpression() {
      return this.premiumExpression;
   }
   public PaymentDiscounting getPaymentDiscounting() {
      return this.paymentDiscounting;
   }
   public PayerReceiver getPayerReceiver() {
      return this.payerReceiver;
   }
   public void setPaymentType(PaymentTypeEnum paymentType) {
      this.paymentType = paymentType;
   }
   public void setPaymentDate(AdjustableOrAdjustedOrRelativeDate paymentDate) {
      this.paymentDate = paymentDate;
   }
   public void setGrossCashflow(GrossCashflow[] grossCashflow) {
      this.grossCashflow = grossCashflow;
   }
   public void setPaymentStatus(PaymentStatusEnum paymentStatus) {
      this.paymentStatus = paymentStatus;
   }
   public void setSettlementReference(String settlementReference) {
      this.settlementReference = settlementReference;
   }
   public void setRosettaKey(String rosettaKey) {
      this.rosettaKey = rosettaKey;
   }
   public void setPaymentAmount(Money paymentAmount) {
      this.paymentAmount = paymentAmount;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setDiscountFactor(double discountFactor) {
      this.discountFactor = discountFactor;
   }
   public void setPresentValueAmount(Money presentValueAmount) {
      this.presentValueAmount = presentValueAmount;
   }
   public void setPremiumExpression(PremiumExpression premiumExpression) {
      this.premiumExpression = premiumExpression;
   }
   public void setPaymentDiscounting(PaymentDiscounting paymentDiscounting) {
      this.paymentDiscounting = paymentDiscounting;
   }
   public void setPayerReceiver(PayerReceiver payerReceiver) {
      this.payerReceiver = payerReceiver;
   }
}
