// this code is generated and should not be modified
package org.isda.cdm;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class ReferenceObligation extends Concept {
   private Mortgage mortgage;
   private Bond bond;
   private ConvertibleBond convertibleBond;
   private Loan loan;
   private LegalEntity primaryObligor;
   private String primaryObligorReference;
   private LegalEntity guarantor;
   private String guarantorReference;
   private boolean standardReferenceObligation;
   public Mortgage getMortgage() {
      return this.mortgage;
   }
   public Bond getBond() {
      return this.bond;
   }
   public ConvertibleBond getConvertibleBond() {
      return this.convertibleBond;
   }
   public Loan getLoan() {
      return this.loan;
   }
   public LegalEntity getPrimaryObligor() {
      return this.primaryObligor;
   }
   public String getPrimaryObligorReference() {
      return this.primaryObligorReference;
   }
   public LegalEntity getGuarantor() {
      return this.guarantor;
   }
   public String getGuarantorReference() {
      return this.guarantorReference;
   }
   public boolean getStandardReferenceObligation() {
      return this.standardReferenceObligation;
   }
   public void setMortgage(Mortgage mortgage) {
      this.mortgage = mortgage;
   }
   public void setBond(Bond bond) {
      this.bond = bond;
   }
   public void setConvertibleBond(ConvertibleBond convertibleBond) {
      this.convertibleBond = convertibleBond;
   }
   public void setLoan(Loan loan) {
      this.loan = loan;
   }
   public void setPrimaryObligor(LegalEntity primaryObligor) {
      this.primaryObligor = primaryObligor;
   }
   public void setPrimaryObligorReference(String primaryObligorReference) {
      this.primaryObligorReference = primaryObligorReference;
   }
   public void setGuarantor(LegalEntity guarantor) {
      this.guarantor = guarantor;
   }
   public void setGuarantorReference(String guarantorReference) {
      this.guarantorReference = guarantorReference;
   }
   public void setStandardReferenceObligation(boolean standardReferenceObligation) {
      this.standardReferenceObligation = standardReferenceObligation;
   }
}
